Generate video
curl --request POST \
--url https://api.siray.ai/v1/video/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aspect_ratio": "16:9",
"duration": 4,
"model": "bytedance/seedance-1.5-pro-t2v",
"prompt": "example_value",
"size": "480p"
}
'import requests
url = "https://api.siray.ai/v1/video/generations"
payload = {
"aspect_ratio": "16:9",
"duration": 4,
"model": "bytedance/seedance-1.5-pro-t2v",
"prompt": "example_value",
"size": "480p"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aspect_ratio: '16:9',
duration: 4,
model: 'bytedance/seedance-1.5-pro-t2v',
prompt: 'example_value',
size: '480p'
})
};
fetch('https://api.siray.ai/v1/video/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"data": {
"task_id": "<string>"
},
"message": "<string>"
}ByteDance
Seedance 1.5 Pro t2v
POST
/
v1
/
video
/
generations
Generate video
Authorizations
Bearer authentication using API key
Body
application/json
Request payload
Request format for video generation models
Aspect ratio
Available options:
16:9, 4:3, 1:1, 3:4, 9:16, 21:9 Fixed duration
Available options:
4, 8, 12 Model name to use for the request
Available options:
bytedance/seedance-1.5-pro-t2v Text prompt for generation
Size
Available options:
480p, 720p Response
200 - application/json
Successful response
⌘I
